- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpPlusMinusOneMatrix Class Reference

This implements a simple +- one matrix as derived from ClpMatrixBase. More...

`#include <ClpPlusMinusOneMatrix.hpp>`

Inheritance diagram for ClpPlusMinusOneMatrix:

[legend]
Collaboration diagram for ClpPlusMinusOneMatrix:

[legend]
List of all members.

## Public Member Functions
Useful methods
virtual CoinPackedMatrix * | getPackedMatrix () const
| Return a complete CoinPackedMatrix.
virtual bool | isColOrdered () const
| Whether the packed matrix is column major ordered or not.
virtual CoinBigIndex | getNumElements () const
| Number of entries in the packed matrix.
virtual int | getNumCols () const
| Number of columns.
virtual int | getNumRows () const
| Number of rows.
virtual const double * | getElements () const
| A vector containing the elements in the packed matrix.
virtual const int * | getIndices () const
| A vector containing the minor indices of the elements in the packed matrix.
int * | getMutableIndices () const
| Return a complete CoinPackedMatrix.
virtual const CoinBigIndex * | getVectorStarts () const
| Return a complete CoinPackedMatrix.
virtual const int * | getVectorLengths () const
| The lengths of the major-dimension vectors.
virtual void | deleteCols (const int numDel, const int *indDel)
| Delete the columns whose indices are listed in `indDel`.
virtual void | deleteRows (const int numDel, const int *indDel)
| Delete the rows whose indices are listed in `indDel`.
virtual void | appendCols (int number, const CoinPackedVectorBase *const *columns)
| Append Columns.
virtual void | appendRows (int number, const CoinPackedVectorBase *const *rows)
| Append Rows.
virtual int | appendMatrix (int number, int type, const CoinBigIndex *starts, const int *index, const double *element, int numberOther=-1)
| Append a set of rows/columns to the end of the matrix.
virtual ClpMatrixBase * | reverseOrderedCopy () const
| Returns a new matrix in reverse order without gaps.
virtual CoinBigIndex | countBasis (ClpSimplex *model, const int *whichColumn, int numberRowBasic, int &numberColumnBasic)
| Returns number of elements in column part of basis.
virtual void | fillBasis (ClpSimplex *model, const int *whichColumn, int &numberColumnBasic, int *row, int *start, int *rowCount, int *columnCount, double *element)
| Fills in column part of basis.
virtual CoinBigIndex * | dubiousWeights (const ClpSimplex *model, int *inputWeights) const
| Given positive integer weights for each row fills in sum of weights for each column (and slack).
virtual void | rangeOfElements (double &smallestNegative, double &largestNegative, double &smallestPositive, double &largestPositive)
| Returns largest and smallest elements of both signs.
virtual void | unpack (const ClpSimplex *model, CoinIndexedVector *rowArray, int column) const
| Unpacks a column into an CoinIndexedvector.
virtual void | unpackPacked (ClpSimplex *model, CoinIndexedVector *rowArray, int column) const
| Unpacks a column into an CoinIndexedvector in packed foramt Note that model is NOT const.
virtual void | add (const ClpSimplex *model, CoinIndexedVector *rowArray, int column, double multiplier) const
| Adds multiple of a column into an CoinIndexedvector You can use quickAdd to add to vector.
virtual void | add (const ClpSimplex *model, double *array, int column, double multiplier) const
| Adds multiple of a column into an array.
virtual void | releasePackedMatrix () const
| Allow any parts of a created CoinMatrix to be deleted.
virtual void | setDimensions (int numrows, int numcols)
| Set the dimensions of the matrix.
void | checkValid (bool detail) const
| Just checks matrix valid - will say if dimensions not quite right if detail.
Matrix times vector methods
virtual void | times (double scalar, const double *x, double *y) const
| Return `y + A * scalar *x` in `y`.
virtual void | times (double scalar, const double *x, double *y, const double *rowScale, const double *columnScale) const
| And for scaling.
virtual void | transposeTimes (double scalar, const double *x, double *y) const
| Return `y + x * scalar * A` in `y`.
virtual void | transposeTimes (double scalar, const double *x, double *y, const double *rowScale, const double *columnScale, double *spare=NULL) const
| And for scaling.
virtual void | transposeTimes (const ClpSimplex *model, double scalar, const CoinIndexedVector *x, CoinIndexedVector *y, CoinIndexedVector *z) const
| Return `x * scalar * A + y` in `z`.
virtual void | transposeTimesByRow (const ClpSimplex *model, double scalar, const CoinIndexedVector *x, CoinIndexedVector *y, CoinIndexedVector *z) const
| Return `x * scalar * A + y` in `z`.
virtual void | subsetTransposeTimes (const ClpSimplex *model, const CoinIndexedVector *x, const CoinIndexedVector *y, CoinIndexedVector *z) const
| Return `x *A` in `z` but just for indices in y.
virtual bool | canCombine (const ClpSimplex *model, const CoinIndexedVector *pi) const
| Returns true if can combine transposeTimes and subsetTransposeTimes and if it would be faster.
virtual void | transposeTimes2 (const ClpSimplex *model, const CoinIndexedVector *pi1, CoinIndexedVector *dj1, const CoinIndexedVector *pi2, CoinIndexedVector *dj2, CoinIndexedVector *spare, double referenceIn, double devex, unsigned int *reference, double *weights, double scaleFactor)
| Updates two arrays for steepest.
virtual void | subsetTimes2 (const ClpSimplex *model, CoinIndexedVector *dj1, const CoinIndexedVector *pi2, CoinIndexedVector *dj2, double referenceIn, double devex, unsigned int *reference, double *weights, double scaleFactor)
| Updates second array for steepest and does devex weights.
Other
CoinBigIndex * | startPositive () const
| Return starts of +1s.
CoinBigIndex * | startNegative () const
| Return starts of -1s.
Constructors, destructor
| ClpPlusMinusOneMatrix ()
| Default constructor.
virtual | ~ClpPlusMinusOneMatrix ()
| Destructor.
Copy method
| ClpPlusMinusOneMatrix (const ClpPlusMinusOneMatrix &)
| The copy constructor.
| ClpPlusMinusOneMatrix (const CoinPackedMatrix &)
| The copy constructor from an CoinPlusMinusOneMatrix.
| ClpPlusMinusOneMatrix (int numberRows, int numberColumns, bool columnOrdered, const int *indices, const CoinBigIndex *startPositive, const CoinBigIndex *startNegative)
| Constructor from arrays.
| ClpPlusMinusOneMatrix (const ClpPlusMinusOneMatrix &wholeModel, int numberRows, const int *whichRows, int numberColumns, const int *whichColumns)
| Subset constructor (without gaps).
ClpPlusMinusOneMatrix & | operator= (const ClpPlusMinusOneMatrix &)
| The copy constructor.
virtual ClpMatrixBase * | clone () const
| Clone.
virtual ClpMatrixBase * | subsetClone (int numberRows, const int *whichRows, int numberColumns, const int *whichColumns) const
| Subset clone (without gaps).
void | passInCopy (int numberRows, int numberColumns, bool columnOrdered, int *indices, CoinBigIndex *startPositive, CoinBigIndex *startNegative)
| pass in copy (object takes ownership)
virtual bool | canDoPartialPricing () const
| Says whether it can do partial pricing.
virtual void | partialPricing (ClpSimplex *model, double start, double end, int &bestSequence, int &numberWanted)
| Partial pricing.
## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
CoinPackedMatrix * | matrix_
| For fake CoinPackedMatrix.
int * | lengths_
| For fake CoinPackedMatrix.
CoinBigIndex * | startPositive_
| Start of +1's for each.
CoinBigIndex * | startNegative_
| Start of -1's for each.
int * | indices_
| Data -1, then +1 rows in pairs (row==-1 if one entry).
int | numberRows_
| Number of rows.
int | numberColumns_
| Number of columns.
bool | columnOrdered_
| True if column ordered.

## Detailed Description

This implements a simple +- one matrix as derived from ClpMatrixBase.

Definition at line 15 of file ClpPlusMinusOneMatrix.hpp.

## Constructor & Destructor Documentation

ClpPlusMinusOneMatrix::ClpPlusMinusOneMatrix | ( |  | ) |

Default constructor.

virtual ClpPlusMinusOneMatrix::~ClpPlusMinusOneMatrix | ( |  | ) | `[virtual]`

Destructor.

ClpPlusMinusOneMatrix::ClpPlusMinusOneMatrix | ( | const ClpPlusMinusOneMatrix & |  | ) |

The copy constructor.

ClpPlusMinusOneMatrix::ClpPlusMinusOneMatrix | ( | const CoinPackedMatrix & |  | ) |

The copy constructor from an CoinPlusMinusOneMatrix.

If not a valid matrix then getIndices will be NULL and startPositive[0] will have number of +1, startPositive[1] will have number of -1, startPositive[2] will have number of others,

ClpPlusMinusOneMatrix::ClpPlusMinusOneMatrix | ( | int | numberRows,
|  | int | numberColumns,
|  | bool | columnOrdered,
|  | const int * | indices,
|  | const CoinBigIndex * | startPositive,
|  | const CoinBigIndex * | startNegative |
| ) |  |  |

Constructor from arrays.

ClpPlusMinusOneMatrix::ClpPlusMinusOneMatrix | ( | const ClpPlusMinusOneMatrix & | wholeModel,
|  | int | numberRows,
|  | const int * | whichRows,
|  | int | numberColumns,
|  | const int * | whichColumns |
| ) |  |  |

Subset constructor (without gaps).

Duplicates are allowed and order is as given

## Member Function Documentation

virtual CoinPackedMatrix* ClpPlusMinusOneMatrix::getPackedMatrix | ( |  | ) | const`[virtual]`

Return a complete CoinPackedMatrix.

Implements ClpMatrixBase.

virtual bool ClpPlusMinusOneMatrix::isColOrdered | ( |  | ) | const`[virtual]`

Whether the packed matrix is column major ordered or not.

Implements ClpMatrixBase.

virtual CoinBigIndex ClpPlusMinusOneMatrix::getNumElements | ( |  | ) | const`[virtual]`

Number of entries in the packed matrix.

Implements ClpMatrixBase.

virtual int ClpPlusMinusOneMatrix::getNumCols | ( |  | ) | const`[inline, virtual]`

Number of columns.

Implements ClpMatrixBase.

Definition at line 27 of file ClpPlusMinusOneMatrix.hpp.

References numberColumns_.

virtual int ClpPlusMinusOneMatrix::getNumRows | ( |  | ) | const`[inline, virtual]`

Number of rows.

Implements ClpMatrixBase.

Definition at line 29 of file ClpPlusMinusOneMatrix.hpp.

References numberRows_.

virtual const double* ClpPlusMinusOneMatrix::getElements | ( |  | ) | const`[virtual]`

A vector containing the elements in the packed matrix.

Note that there might be gaps in this list, entries that do not belong to any major-dimension vector. To get the actual elements one should look at this vector together with vectorStarts and vectorLengths.

Implements ClpMatrixBase.

virtual const int* ClpPlusMinusOneMatrix::getIndices | ( |  | ) | const`[inline, virtual]`

A vector containing the minor indices of the elements in the packed matrix.

Note that there might be gaps in this list, entries that do not belong to any major-dimension vector. To get the actual elements one should look at this vector together with vectorStarts and vectorLengths.

Implements ClpMatrixBase.

Definition at line 41 of file ClpPlusMinusOneMatrix.hpp.

References indices_.

int* ClpPlusMinusOneMatrix::getMutableIndices | ( |  | ) | const`[inline]`

Return a complete CoinPackedMatrix.

Definition at line 44 of file ClpPlusMinusOneMatrix.hpp.

References indices_.

virtual const CoinBigIndex* ClpPlusMinusOneMatrix::getVectorStarts | ( |  | ) | const`[virtual]`

Return a complete CoinPackedMatrix.

Implements ClpMatrixBase.

virtual const int* ClpPlusMinusOneMatrix::getVectorLengths | ( |  | ) | const`[virtual]`

The lengths of the major-dimension vectors.

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::deleteCols | ( | const int | numDel,
|  | const int * | indDel |
| ) |  |  | `[virtual]`

Delete the columns whose indices are listed in `indDel`.

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::deleteRows | ( | const int | numDel,
|  | const int * | indDel |
| ) |  |  | `[virtual]`

Delete the rows whose indices are listed in `indDel`.

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::appendCols | ( | int | number,
|  | const CoinPackedVectorBase *const * | columns |
| ) |  |  | `[virtual]`

Append Columns.

Reimplemented from ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::appendRows | ( | int | number,
|  | const CoinPackedVectorBase *const * | rows |
| ) |  |  | `[virtual]`

Append Rows.

Reimplemented from ClpMatrixBase.

virtual int ClpPlusMinusOneMatrix::appendMatrix | ( | int | number,
|  | int | type,
|  | const CoinBigIndex * | starts,
|  | const int * | index,
|  | const double * | element,
|  | int | numberOther = `-1` |
| ) |  |  | `[virtual]`

Append a set of rows/columns to the end of the matrix.

Returns number of errors i.e. if any of the new rows/columns contain an index that's larger than the number of columns-1/rows-1 (if numberOther>0) or duplicates If 0 then rows, 1 if columns

Reimplemented from ClpMatrixBase.

virtual ClpMatrixBase* ClpPlusMinusOneMatrix::reverseOrderedCopy | ( |  | ) | const`[virtual]`

Returns a new matrix in reverse order without gaps.

Reimplemented from ClpMatrixBase.

virtual CoinBigIndex ClpPlusMinusOneMatrix::countBasis | ( | ClpSimplex * | model,
|  | const int * | whichColumn,
|  | int | numberRowBasic,
|  | int & | numberColumnBasic |
| ) |  |  | `[virtual]`

Returns number of elements in column part of basis.

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::fillBasis | ( | ClpSimplex * | model,
|  | const int * | whichColumn,
|  | int & | numberColumnBasic,
|  | int * | row,
|  | int * | start,
|  | int * | rowCount,
|  | int * | columnCount,
|  | double * | element |
| ) |  |  | `[virtual]`

Fills in column part of basis.

Implements ClpMatrixBase.

virtual CoinBigIndex* ClpPlusMinusOneMatrix::dubiousWeights | ( | const ClpSimplex * | model,
|  | int * | inputWeights |
| ) |  |  | const`[virtual]`

Given positive integer weights for each row fills in sum of weights for each column (and slack).

Returns weights vector

Reimplemented from ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::rangeOfElements | ( | double & | smallestNegative,
|  | double & | largestNegative,
|  | double & | smallestPositive,
|  | double & | largestPositive |
| ) |  |  | `[virtual]`

Returns largest and smallest elements of both signs.

Largest refers to largest absolute value.

Reimplemented from ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::unpack | ( | const ClpSimplex * | model,
|  | CoinIndexedVector * | rowArray,
|  | int | column |
| ) |  |  | const`[virtual]`

Unpacks a column into an CoinIndexedvector.

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::unpackPacked | ( | ClpSimplex * | model,
|  | CoinIndexedVector * | rowArray,
|  | int | column |
| ) |  |  | const`[virtual]`

Unpacks a column into an CoinIndexedvector in packed foramt Note that model is NOT const.

Bounds and objective could be modified if doing column generation (just for this variable)

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::add | ( | const ClpSimplex * | model,
|  | CoinIndexedVector * | rowArray,
|  | int | column,
|  | double | multiplier |
| ) |  |  | const`[virtual]`

Adds multiple of a column into an CoinIndexedvector You can use quickAdd to add to vector.

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::add | ( | const ClpSimplex * | model,
|  | double * | array,
|  | int | column,
|  | double | multiplier |
| ) |  |  | const`[virtual]`

Adds multiple of a column into an array.

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::releasePackedMatrix | ( |  | ) | const`[virtual]`

Allow any parts of a created CoinMatrix to be deleted.

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::setDimensions | ( | int | numrows,
|  | int | numcols |
| ) |  |  | `[virtual]`

Set the dimensions of the matrix.

In effect, append new empty columns/rows to the matrix. A negative number for either dimension means that that dimension doesn't change. Otherwise the new dimensions MUST be at least as large as the current ones otherwise an exception is thrown.

Reimplemented from ClpMatrixBase.

void ClpPlusMinusOneMatrix::checkValid | ( | bool | detail | ) | const

Just checks matrix valid - will say if dimensions not quite right if detail.

virtual void ClpPlusMinusOneMatrix::times | ( | double | scalar,
|  | const double * | x,
|  | double * | y |
| ) |  |  | const`[virtual]`

Return `y + A * scalar *x` in `y`.

Precondition:
  `x` must be of size `numColumns()`

  `y` must be of size `numRows()`

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::times | ( | double | scalar,
|  | const double * | x,
|  | double * | y,
|  | const double * | rowScale,
|  | const double * | columnScale |
| ) |  |  | const`[virtual]`

And for scaling.

Reimplemented from ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::transposeTimes | ( | double | scalar,
|  | const double * | x,
|  | double * | y |
| ) |  |  | const`[virtual]`

Return `y + x * scalar * A` in `y`.

Precondition:
  `x` must be of size `numRows()`

  `y` must be of size `numColumns()`

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::transposeTimes | ( | double | scalar,
|  | const double * | x,
|  | double * | y,
|  | const double * | rowScale,
|  | const double * | columnScale,
|  | double * | spare = `NULL` |
| ) |  |  | const`[virtual]`

And for scaling.

Reimplemented from ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::transposeTimes | ( | const ClpSimplex * | model,
|  | double | scalar,
|  | const CoinIndexedVector * | x,
|  | CoinIndexedVector * | y,
|  | CoinIndexedVector * | z |
| ) |  |  | const`[virtual]`

Return `x * scalar * A + y` in `z`.

Can use y as temporary array (will be empty at end) Note - If x packed mode - then z packed mode Squashes small elements and knows about ClpSimplex

Implements ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::transposeTimesByRow | ( | const ClpSimplex * | model,
|  | double | scalar,
|  | const CoinIndexedVector * | x,
|  | CoinIndexedVector * | y,
|  | CoinIndexedVector * | z |
| ) |  |  | const`[virtual]`

Return `x * scalar * A + y` in `z`.

Can use y as temporary array (will be empty at end) Note - If x packed mode - then z packed mode Squashes small elements and knows about ClpSimplex. This version uses row copy

virtual void ClpPlusMinusOneMatrix::subsetTransposeTimes | ( | const ClpSimplex * | model,
|  | const CoinIndexedVector * | x,
|  | const CoinIndexedVector * | y,
|  | CoinIndexedVector * | z |
| ) |  |  | const`[virtual]`

Return `x *A` in `z` but just for indices in y.

Note - z always packed mode

Implements ClpMatrixBase.

virtual bool ClpPlusMinusOneMatrix::canCombine | ( | const ClpSimplex * | model,
|  | const CoinIndexedVector * | pi |
| ) |  |  | const`[virtual]`

Returns true if can combine transposeTimes and subsetTransposeTimes and if it would be faster.

Reimplemented from ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::transposeTimes2 | ( | const ClpSimplex * | model,
|  | const CoinIndexedVector * | pi1,
|  | CoinIndexedVector * | dj1,
|  | const CoinIndexedVector * | pi2,
|  | CoinIndexedVector * | dj2,
|  | CoinIndexedVector * | spare,
|  | double | referenceIn,
|  | double | devex,
|  | unsigned int * | reference,
|  | double * | weights,
|  | double | scaleFactor |
| ) |  |  | `[virtual]`

Updates two arrays for steepest.

Reimplemented from ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::subsetTimes2 | ( | const ClpSimplex * | model,
|  | CoinIndexedVector * | dj1,
|  | const CoinIndexedVector * | pi2,
|  | CoinIndexedVector * | dj2,
|  | double | referenceIn,
|  | double | devex,
|  | unsigned int * | reference,
|  | double * | weights,
|  | double | scaleFactor |
| ) |  |  | `[virtual]`

Updates second array for steepest and does devex weights.

Reimplemented from ClpMatrixBase.

CoinBigIndex* ClpPlusMinusOneMatrix::startPositive | ( |  | ) | const`[inline]`

Return starts of +1s.

Definition at line 194 of file ClpPlusMinusOneMatrix.hpp.

References startPositive_.

CoinBigIndex* ClpPlusMinusOneMatrix::startNegative | ( |  | ) | const`[inline]`

Return starts of -1s.

Definition at line 197 of file ClpPlusMinusOneMatrix.hpp.

References startNegative_.

ClpPlusMinusOneMatrix& ClpPlusMinusOneMatrix::operator= | ( | const ClpPlusMinusOneMatrix & |  | ) |

The copy constructor.

virtual ClpMatrixBase* ClpPlusMinusOneMatrix::clone | ( |  | ) | const`[virtual]`

Clone.

Implements ClpMatrixBase.

virtual ClpMatrixBase* ClpPlusMinusOneMatrix::subsetClone | ( | int | numberRows,
|  | const int * | whichRows,
|  | int | numberColumns,
|  | const int * | whichColumns |
| ) |  |  | const`[virtual]`

Subset clone (without gaps).

Duplicates are allowed and order is as given

Reimplemented from ClpMatrixBase.

void ClpPlusMinusOneMatrix::passInCopy | ( | int | numberRows,
|  | int | numberColumns,
|  | bool | columnOrdered,
|  | int * | indices,
|  | CoinBigIndex * | startPositive,
|  | CoinBigIndex * | startNegative |
| ) |  |  |

pass in copy (object takes ownership)

virtual bool ClpPlusMinusOneMatrix::canDoPartialPricing | ( |  | ) | const`[virtual]`

Says whether it can do partial pricing.

Reimplemented from ClpMatrixBase.

virtual void ClpPlusMinusOneMatrix::partialPricing | ( | ClpSimplex * | model,
|  | double | start,
|  | double | end,
|  | int & | bestSequence,
|  | int & | numberWanted |
| ) |  |  | `[virtual]`

Partial pricing.

Reimplemented from ClpMatrixBase.

## Member Data Documentation

CoinPackedMatrix* ClpPlusMinusOneMatrix::matrix_`[mutable, protected]`

For fake CoinPackedMatrix.

Definition at line 256 of file ClpPlusMinusOneMatrix.hpp.

int* ClpPlusMinusOneMatrix::lengths_`[mutable, protected]`

For fake CoinPackedMatrix.

Definition at line 257 of file ClpPlusMinusOneMatrix.hpp.

CoinBigIndex* ClpPlusMinusOneMatrix::startPositive_`[protected]`

Start of +1's for each.

Definition at line 259 of file ClpPlusMinusOneMatrix.hpp.

Referenced by startPositive().

CoinBigIndex* ClpPlusMinusOneMatrix::startNegative_`[protected]`

Start of -1's for each.

Definition at line 261 of file ClpPlusMinusOneMatrix.hpp.

Referenced by startNegative().

int* ClpPlusMinusOneMatrix::indices_`[protected]`

Data -1, then +1 rows in pairs (row==-1 if one entry).

Definition at line 263 of file ClpPlusMinusOneMatrix.hpp.

Referenced by getIndices(), and getMutableIndices().

int ClpPlusMinusOneMatrix::numberRows_`[protected]`

Number of rows.

Definition at line 265 of file ClpPlusMinusOneMatrix.hpp.

Referenced by getNumRows().

int ClpPlusMinusOneMatrix::numberColumns_`[protected]`

Number of columns.

Definition at line 267 of file ClpPlusMinusOneMatrix.hpp.

Referenced by getNumCols().

bool ClpPlusMinusOneMatrix::columnOrdered_`[protected]`

True if column ordered.

Definition at line 269 of file ClpPlusMinusOneMatrix.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Clp/src/ClpPlusMinusOneMatrix.hpp